Skip to main content
PUT
Update Record

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

schemaKey
string
required

The key of the Custom Object / Standard Object Schema. For custom objects, the key must include the “custom_objects.” prefix, while standard objects use their respective object keys. This information is available on the Custom Objects Details page under Settings.

Example:

"custom_objects.pet or business.email (for company's email)"

id
string
required

id of the record to be updated. Available on the Record details page under the 3 dots or in the url

Example:

"632c34b4c9b7da3358ac9891"

Query Parameters

locationId
string
required

Body

application/json

The body is of type object.

Response

Successful response

record
object
Last modified on March 8, 2026